post
https://public.doubletick.io/channel/custom-events
Creates a custom event for your organization. Once created, you can send it from your own systems with Fire Custom Event, which refers to the event by its name.
Before you call
- Enterprise Analytics must be turned on for your organization. If it isn't, the call fails with 403; contact Support.
- The API key's user needs the Manage Custom Events permission, otherwise the call fails with 401.
nameis required (3–100 characters).descriptionis optional (up to 1,000 characters). Any other field fails with 400.
How it works
- Event names are unique within your organization, without regard to case. A name that is already taken fails with 409.
- Each organization can have a limited number of custom events (100 by default). Past the limit, the call fails with 400.
- The response returns the new event, with
totalExecutionCountat 0.
Rate limit
- 60 requests per minute.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…

